package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.OaEmployee;
import com.ruoyi.oa.domain.vo.OaEmployeeVo;
import com.ruoyi.oa.domain.bo.OaEmployeeBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 员工基础信息Service接口
 *
 * @author ruoyi
 * @date 2025-06-23
 */
public interface IOaEmployeeService {

    /**
     * 查询员工基础信息
     */
    OaEmployeeVo queryById(Long employeeId);

    /**
     * 查询员工基础信息列表
     */
    TableDataInfo<OaEmployeeVo> queryPageList(OaEmployeeBo bo, PageQuery pageQuery);

    /**
     * 查询员工基础信息列表
     */
    List<OaEmployeeVo> queryList(OaEmployeeBo bo);

    /**
     * 新增员工基础信息
     */
    Boolean insertByBo(OaEmployeeBo bo);

    /**
     * 修改员工基础信息
     */
    Boolean updateByBo(OaEmployeeBo bo);

    /**
     * 校验并批量删除员工基础信息信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
